Create EHR with id

Create a new EHR with the specified ehr_id identifier.

The value of the ehr_id unique identifier MUST be valid HIER_OBJECT_ID value. It is strongly RECOMMENDED that an UUID always be used for this.

An EHR_STATUS resource needs to be always created and committed in the new EHR. This resource MAY be also supplied by the client as the request body. If not supplied, a default EHR_STATUS will be used by the service with following attributes:

  • is_queryable: true
  • is_modifiable: true
  • subject: a PARTY_SELF object

All other required EHR attributes and resources will be automatically created as needed by the EHR creation semantics.

Path Parameters
  • ehr_id
    Type: string
    required

    EHR identifier taken from EHR.ehr_id.value.

Headers
  • Prefer
    Type: stringenum

    Request header to indicate the preference over response details. The response will contain the entire resource when the Prefer header has a value of return=representation.

    values
    • return=representation
    • return=minimal
Body
application/json

An EHR_STATUS resource MAY be also supplied by the client as the request body.

An EHR_STATUS resource

  • archetype_node_id
    Type: string
    required
  • is_modifiable
    Type: boolean
    required
  • is_queryable
    Type: boolean
    required
  • name
    required
    • _type
      Discriminator
      enum
      const:  
      DV_TEXT
      required
      values
      • DV_TEXT
    • value
      Type: string
      required
    • encoding
      Type: object · CODE_PHRASE
    • formatting
      Type: string
    • hyperlink
    • language
      Type: object · CODE_PHRASE
    • mappings
      Type: array object[] · TERM_MAPPING[]
  • subject
    required
    • _type
      Discriminator
      enum
      const:  
      PARTY_SELF
      required
      values
      • PARTY_SELF
    • external_ref
      Type: object · PARTY_REF

      Identifier for parties in a demographic or identity service.

  • _type
    Type: string
  • archetype_details
    Type: object · ARCHETYPED
  • feeder_audit
    Type: object · FEEDER_AUDIT
  • Type: array object[] · LINK[]
  • other_details
    • _type
      Discriminator
      Type: string
    • archetype_node_id
      Type: string
      required
    • item
      Type: object · ELEMENT
      required
    • name
      required
    • archetype_details
      Type: object · ARCHETYPED
    • feeder_audit
      Type: object · FEEDER_AUDIT
    • links
      Type: array object[] · LINK[]
    • uid
Responses
  • application/json
  • 400

    400 Bad Request is returned when the request URL or body (if provided) could not be parsed or has invalid content.

  • 409

    409 Conflict Unable to create a new EHR due to a conflict with an already existing EHR. Can happen when the supplied ehr_id is already used by an existing EHR.

Request Example for put/ehr/{ehr_id}
curl https://cataniamc.prod.cadasto.com/openehr/v1/ehr/7d44b88c-4199-4bad-97dc-d78268e01398 \
  --request PUT \
  --header 'Prefer: return=minimal' \
  --header 'Content-Type: application/json' \
  --data '{
  "archetype_node_id": "openEHR-EHR-EHR_STATUS.generic.v1",
  "name": {
    "value": "EHR status"
  },
  "subject": {
    "_type": "PARTY_SELF"
  },
  "is_queryable": true,
  "is_modifiable": true
}'
{
  "system_id": {
    "value": "9624982A-9F42-41A5-9318-AE13D5F5031F"
  },
  "ehr_id": {
    "value": "7d44b88c-4199-4bad-97dc-d78268e01398"
  },
  "ehr_status": {
    "id": {
      "_type": "OBJECT_VERSION_ID",
      "value": "8849182c-82ad-4088-a07f-48ead4180515::cataniamc.prod.cadasto.com::1"
    },
    "namespace": "local",
    "type": "EHR_STATUS"
  },
  "ehr_access": {
    "id": {
      "_type": "OBJECT_VERSION_ID",
      "value": "59a8d0ac-140e-4feb-b2d6-af99f8e68af8::cataniamc.prod.cadasto.com::1"
    },
    "namespace": "local",
    "type": "EHR_ACCESS"
  },
  "time_created": {
    "value": "2015-01-20T19:30:22.765+01:00"
  }
}